#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <curses.h>

#include <errno.h>
#include <time.h>
#include <ctype.h>
#include <sys/types.h>
#include <wait.h>
#include <signal.h>

#if defined (TLF_H)
/* do nothing, already defined */
#else
#define TLF_H

#define NO_KEYER 0
#define LPT_KEYER 1
#define COM1_KEYER 2

#define SINGLE 0        /* single op */
#define MULTI 1         /* multi op / single tx */

#define NOCLUSTER 0     /*  no cluster info  */
#define MAP 1           /*  filter follows  band */
#define SPOTS 2         /*  all spots */
#define CLUSTER 3 		/*  full cluster info  */

#define SHORTCW 1       /*  short  cw characters in  exchange  (e.g. 0 = T,  9 = N) */
#define LONGCW 0

#define SEARCHWINDOW 1  /* searchflg on */

#define CQ 1			/* cqmode   on */
#define S_P 0			/* S&P mode  on  */

#define SEND_DE 1		/* demode on */
#define CONTEST 1		/*  contest mode on */
#define FILTER_ANN 1	/*  filter announcements */
#define CWMODE 0
#define SSBMODE 1
#define DIGIMODE 2

#define  BAND160 32
#define  BAND80 16
#define  BAND40 8
#define  BAND20 4
#define  BAND15 2
#define  BAND10 1

#define BANDINDEX_160 0
#define BANDINDEX_80 1
#define BANDINDEX_40 2
#define BANDINDEX_30 3
#define BANDINDEX_20 4
#define BANDINDEX_17 5
#define BANDINDEX_15 6
#define BANDINDEX_12 7
#define BANDINDEX_10 8

#define DUPECOLOR 5
#define NORMCOLOR 4
#define ISDUPE 1
#define NODUPE 0

#define  MAX_DATALINES 350   /* from ctydb.dat  */
#define  MAX_DBLINES 3000    /* exceptioncalls from ctydb.dat  */
#define  MAX_CALLS 3000      /*  max nr of calls in dupe array */
#define  MAX_MULTS 50        /* max nr of mults in mults array */

#define  MAX_COMMANDS 60

#define EDITOR_JOE 0
#define EDITOR_VI 1
#define EDITOR_E3 2

#define  CW_SPEEDS	"060810121416182022242628303234363840455060708090"
#endif

